/**
 *   This file is a part of the KDE Project
 *   Copyright (C) 2017 Dan Leinir Turthra Jensen <admin@leinir.dk>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU Library/Lesser General Public License
 *   version 2, or (at your option) any later version, as published by the
 *   Free Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU Library/Lesser General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

import QtQuick 2.5
import QtMultimedia 5.8
import Qt.labs.presentation 1.0

Slide {
    property alias video: videoItem.source;
    x: 0;
    y: 0;
    width: parent.width;
    height: parent.height;
    onVisibleChanged: {
        if(visible) {
            videoItem.play();
        }
        else {
            videoItem.stop();
        }
    }
    Rectangle {
        anchors.fill: parent;
        color: "black";
    }
    Video {
        id: videoItem;
        anchors.fill: parent;
        fillMode: VideoOutput.PreserveAspectFit;
        onStopped: {
            if(!visible) {
                // avoid that weird mixing up of slides
                return;
            }
            if(presentation.currentSlide === presentation.slides.length - 1) {
                presentation.currentSlide = 0;
            }
            else {
                presentation.goToNextSlide();
            }
        }
    }
}
